# SPNegoSchemeFactory (Apache HttpComponents Client 4.5.14 API)
Date: 2022-11-30

org.apache.http.impl.auth

## Class SPNegoSchemeFactory

- java.lang.Object
- - org.apache.http.impl.auth.SPNegoSchemeFactory

All Implemented Interfaces:
  AuthSchemeFactory, AuthSchemeProvider

    @Contract(threading=IMMUTABLE)
    public class SPNegoSchemeFactory
    extends Object
    implements AuthSchemeFactory, AuthSchemeProvider

`AuthSchemeProvider` implementation that creates and initializes `SPNegoScheme` instances.

Since:
  4.2

### Constructor Summary

Constructors
Constructor and Description
`SPNegoSchemeFactory()`
`SPNegoSchemeFactory(boolean stripPort)`
`SPNegoSchemeFactory(boolean stripPort, boolean useCanonicalHostname)`

### Method Summary

Methods
`AuthScheme` `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.
`boolean` `isStripPort()`
`boolean` `isUseCanonicalHostname()`
`AuthScheme` `newInstance(org.apache.http.params.HttpParams params)` Creates an instance of `AuthScheme` using given HTTP parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SPNegoSchemeFactory

    public SPNegoSchemeFactory(boolean stripPort,
                       boolean useCanonicalHostname)

Since:
  4.4

#### SPNegoSchemeFactory

    public SPNegoSchemeFactory(boolean stripPort)

#### SPNegoSchemeFactory

    public SPNegoSchemeFactory()

### Method Detail

#### isStripPort

    public boolean isStripPort()

#### isUseCanonicalHostname

    public boolean isUseCanonicalHostname()

#### newInstance

    public AuthScheme newInstance(org.apache.http.params.HttpParams params)

Description copied from interface: `AuthSchemeFactory`
Creates an instance of `AuthScheme` using given HTTP parameters.

Specified by:
  `newInstance` in interface `AuthSchemeFactory`
Parameters:
  `params` - HTTP parameters.
Returns:
  auth scheme.

#### create

    public AuthScheme create(org.apache.http.protocol.HttpContext context)

Description copied from interface: `AuthSchemeProvider`
Creates an instance of `AuthScheme`.

Specified by:
  `create` in interface `AuthSchemeProvider`
Returns:
  auth scheme.